> ## Documentation Index
> Fetch the complete documentation index at: https://www.thundercompute.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Import a sandbox image from a registry



## OpenAPI

````yaml https://api.thundercompute.com:8443/openapi.json post /sandbox-images/from-registry
openapi: 3.1.0
info:
  contact:
    email: support@thundercompute.com
    name: Thunder Compute API Support
    url: https://thundercompute.com/support
  description: Retrieve current GPU availability using mode-less spec keys
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Thunder Compute API
  version: '1.0'
servers:
  - description: Production server
    url: https://api.thundercompute.com:8443/v1
  - description: Production server
    url: https://api.thundercompute.com:8443
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /sandbox-images/from-registry:
    post:
      tags:
        - Sandbox Images
      summary: Import a sandbox image from a registry
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                - $ref: >-
                    #/components/schemas/thundertypes.SandboxImageRegistryRequest
                  summary: body
                  description: Registry image reference and optional credentials
        description: Registry image reference and optional credentials
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.SandboxImageResponse'
          description: OK
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.SandboxImageResponse'
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Forbidden
      security:
        - ApiKeyAuth: []
components:
  schemas:
    thundertypes.SandboxImageRegistryRequest:
      properties:
        password:
          type: string
        reference:
          type: string
        username:
          type: string
      required:
        - reference
      type: object
    thundertypes.SandboxImageResponse:
      properties:
        attempt:
          type: integer
        created_at:
          type: string
        failure:
          type: string
        failure_code:
          type: string
        id:
          type: string
        managed_digest:
          type: string
        managed_reference:
          type: string
        source_type:
          type: string
        state:
          $ref: '#/components/schemas/thundertypes.SandboxImageState'
        updated_at:
          type: string
        upload:
          $ref: '#/components/schemas/thundertypes.SandboxImageUpload'
      type: object
    thundertypes.ErrorResponse:
      properties:
        code:
          example: 400
          type: integer
        error:
          example: invalid_request
          type: string
        message:
          example: The request is malformed
          type: string
      type: object
    thundertypes.SandboxImageState:
      enum:
        - BUILDING
        - READY
        - FAILED
      type: string
      x-enum-varnames:
        - SandboxImageStateBuilding
        - SandboxImageStateReady
        - SandboxImageStateFailed
    thundertypes.SandboxImageUpload:
      properties:
        expires_at:
          type: string
        host:
          type: string
        host_public_key:
          type: string
        path:
          type: string
        port:
          type: integer
        username:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Bearer token authentication. Provide your API token prefixed with
        "Bearer ", e.g. "Bearer your-api-token".
      in: header
      name: Authorization
      type: apiKey

````